'use strict';

var _require = require('../logger'),
    logError = _require.logError,
    logInfo = _require.logInfo,
    logSuccess = _require.logSuccess;

describe('logger', function () {
  it('logError', function () {
    var mockFn = jest.fn();
    var mockMessage = 'testError';
    console.error = mockFn;

    logError(mockMessage);
    expect(mockFn.mock.calls[0][0].message).toContain(mockMessage);
  });

  it('logInfo', function () {
    var mockFn = jest.fn();
    var mockMessage = 'testInfo';
    console.log = mockFn;

    logInfo(mockMessage);
    expect(mockFn.mock.calls[0][0]).toContain(mockMessage);
  });

  it('logSuccess', function () {
    var mockFn = jest.fn();
    var mockMessage = 'testSuccess';
    console.log = mockFn;

    logSuccess(mockMessage);
    expect(mockFn.mock.calls[0][0]).toContain(mockMessage);
  });
});